term = require "lsup.term"
triple = require "lsup.triple"
graph = require "lsup.graph"

trp1 = triple.new (
    term.new_iriref("urn:s:1"),
    term.new_iriref("urn:p:1"),
    term.new_lit("hello", nil, "us-EN"))

t1 = term.new_bnode()
t2 = term.new_iriref("urn:p:11")
t3 = term.new_lit("123", "xsd:int")
trp2 = triple.new (t1, t2, t3)

gr1 = graph.new()
triples = {trp1, trp2}
ct = gr1:add(triples)
print("Triples added: " .. ct)
gr2 = graph.new()
for i in gr1:lookup() do print(i) end
